import { nraReportDataType } from "./ts/interfaces/nraReportDataType";

function createData(
    id: number,
    intId: string,
    status: string,
    payment: string,
    payType: string,
    sendDate: string,
    deliveryDate: string,
    count: number,
    weight: number,
    volume: number,
    zone: string,
    senderUIC: string,
    senderName: string,
    senderTown: string,
    senderTownZip: string,
    receiverUIC: string,
    receiverName: string,
    receiverTown: string,
    receiverTownZip: string,
    cod: number,
    insurance: number,
    surcharge: number,
    fr: number,
    sum: number,
    sumDsc: number,
    vat: number,
    total: number,
    sumFR: number,
  ): nraReportDataType {
    return {
      id,
      intId,
      status,
      payment,
      payType,
      sendDate,
      deliveryDate,
      count,
      weight,
      volume,
      zone,
      senderUIC,
      senderName,
      senderTown,
      senderTownZip,
      receiverUIC,
      receiverName,
      receiverTown,
      receiverTownZip,
      cod,
      insurance,
      surcharge,
      fr,
      sum,
      sumDsc,
      vat,
      total,
      sumFR,
    };
}

export const rows: Array<nraReportDataType>= [
    createData(1,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(2,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(3,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(4,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(5,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(6,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(7,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(8,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(9,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(11,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(12,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(13,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(14,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(15,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(16,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(17,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(18,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(19,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(20,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(21,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(22,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(23,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(24,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(25,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(26,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(27,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(28,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(29,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(30,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(31,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(32,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(33,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(34,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(35,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(36,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(37,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(38,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(39,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(40,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(41,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
    createData(42,"Cupcake","Cupcake","3.7","67",'01/01/2023','01/01/2023',1,1,1,"305","3.7","67","4.3","305","3.7","67","4.3","305",1,1,1,1,1,1,1,1,1),
  ];